Search found 51 matches

by qurn
Sat Nov 06, 2021 6:00 pm
Forum: Help on using FreeCAD
Topic: Sweep to normal of faces
Replies: 8
Views: 1393

Re: Sweep to normal of faces

That is exactly what I was looking for. Thanks for the help and even more for this tool.
by qurn
Sat Nov 06, 2021 5:46 pm
Forum: Help on using FreeCAD
Topic: Sweep to normal of faces
Replies: 8
Views: 1393

Re: Sweep to normal of faces

The facebinders are awesome. At the moment I select the 2 faces and execute import Draft s0 = FreeCADGui.Selection.getSelectionEx()[0] s1 = FreeCADGui.Selection.getSelectionEx()[1] facebinder0 = Draft.makeFacebinder(s0) facebinder1 = Draft.makeFacebinder(s1) And get my sweep-able faces. However I ca...
by qurn
Sat Nov 06, 2021 4:13 pm
Forum: Help on using FreeCAD
Topic: Sweep to normal of faces
Replies: 8
Views: 1393

Re: Sweep to normal of faces

Here is the file and a picture.
For now, I'm looking through the methods of

Code: Select all

cube=Gui.Selection.getSelectionEx()[0]
to get to the face and then extract the normals.
by qurn
Sat Nov 06, 2021 3:59 pm
Forum: Help on using FreeCAD
Topic: Sweep to normal of faces
Replies: 8
Views: 1393

Re: Sweep to normal of faces

Sorry the version is: OS: Arch Linux Word size of FreeCAD: 64-bit Version: 0.20.26228 (Git) Build type: Release Branch: master Hash: 082989ac864dde96b657ca42e629acf89721195d Python version: 3.9.7 Qt version: 5.15.2 Coin version: 4.0.1 OCC version: 7.5.0 Locale: English/United States (en_US) My code ...
by qurn
Sat Nov 06, 2021 3:44 pm
Forum: Help on using FreeCAD
Topic: Sweep to normal of faces
Replies: 8
Views: 1393

Sweep to normal of faces

I'm thinking of making a script sweep to normal, a bit like shown here: https://www.youtube.com/watch?v=4nxTQk5WfTU How it should work: In my test case I have 2 cubes with a bit offset in X and Z. -select the 2 faces -get face normals -create a bezier curve from face-centers with tandency condition ...
by qurn
Thu Jun 03, 2021 9:00 pm
Forum: Install / Compile
Topic: [SOLVED] Execution recently fails for git-build and Appimage (Arch)
Replies: 11
Views: 4194

Re: Execution recently fails for git-build and Appimage (Arch)

installing and running the aur git package works. Thanks
by qurn
Thu Jun 03, 2021 3:28 pm
Forum: Install / Compile
Topic: [SOLVED] Execution recently fails for git-build and Appimage (Arch)
Replies: 11
Views: 4194

Re: Execution recently fails for git-build and Appimage (Arch)

no, for the git version i installed it with this flags cmake . \ -DCMAKE_BUILD_TYPE=Release \ -DFREECAD_USE_OCC_VARIANT="Official Version" \ -DFREECAD_USE_QT_FILEDIALOG=ON \ -DBUILD_QT5=ON \ -DPYTHON_EXECUTABLE=/usr/bin/python \ -DPYSIDE2RCCBINARY="/usr/bin/rcc" I'll look meanwhi...
by qurn
Thu Jun 03, 2021 11:58 am
Forum: Install / Compile
Topic: [SOLVED] Execution recently fails for git-build and Appimage (Arch)
Replies: 11
Views: 4194

[SOLVED] Execution recently fails for git-build and Appimage (Arch)

FreeCad is not starting aymore. Affected are the git-build and the stable Appimage. I have run both successful before, about 2 weeks ago. I compiled the git version today completely new and it still doesn't work. I am using Arch linux with the latest updates. Hardware is a Matebook X with a intel co...
by qurn
Tue Mar 09, 2021 5:27 am
Forum: Users Showcase
Topic: dactyl-manuform-r-track - keyboard with trackball
Replies: 5
Views: 5733

Re: dactyl-manuform-r-track - keyboard with trackball

Is there a writeup on how you created dactyl-manuform-r-track? I'm interested in learning how to build the trackball socket model. Not more than the linked reddit page. Best way to see what happened there is to investigate the operations (boolean, extrusion etc.) by making the objetcs one by one vi...
by qurn
Thu Nov 26, 2020 3:54 pm
Forum: Help on using FreeCAD
Topic: copying the location of objects
Replies: 2
Views: 524

Re: copying the location of objects

Thanks,

Code: Select all

Gui.Selection.getSelectionEx()[1].Object.Placement = Gui.Selection.getSelectionEx()[0].Object.Placement
will do fine